package de.hs_mannheim.informatik.TUI;


import de.hs_mannheim.informatik.domain.OnlineShopVerwaltung;
import java.util.Scanner;

public class TUI {
    public static void main(String[] args) {
        OnlineShopVerwaltung shopVerwaltung = new OnlineShopVerwaltung();
        Scanner scanner = new Scanner(System.in);
        String auswahl = "";

        while (!auswahl.equals("exit")) {
          System.out.println();
        	System.out.println("Willkommen im Online-Shop!");
            System.out.println("1. Produkte anzeigen");
            System.out.println("2. Produkt zum Warenkorb hinzufügen");
            System.out.println("3. Warenkorb bearbeiten");
            System.out.println("4. Warenkorb anzeigen");
            System.out.println("5. Bestellung abschließen");
            System.out.println("6. Alle Bestellungen anzeigen");
            System.out.println("Geben Sie 'exit' ein, um das Programm zu beenden.");
            System.out.print("Ihre Auswahl: ");
            auswahl = scanner.nextLine();

            switch (auswahl) {
                case "1":
                    shopVerwaltung.produkteAnzeigen();
                    break;
                case "2":
                    System.out.print("Produktname: ");
                    String produktName = scanner.nextLine();
                    System.out.print("Anzahl: ");
                    int anzahl = scanner.nextInt();
                    scanner.nextLine();  // Zeilenumbruch verarbeiten
                    shopVerwaltung.produktZumWarenkorbHinzufuegen(produktName, anzahl);
                    break;
                case "3":
                    System.out.print("Möchten Sie die Anzahl eines Produkts ändern oder ein Produkt löschen? (ändern/löschen): ");
                    String aktion = scanner.nextLine();

                    if (aktion.equalsIgnoreCase("ändern")) {
                        System.out.print("Produktname zum Bearbeiten: ");
                        String produktNameBearbeiten = scanner.nextLine();
                        System.out.print("Neue Anzahl: ");
                        int neueAnzahl = scanner.nextInt();
                        scanner.nextLine();  // Zeilenumbruch verarbeiten
                        shopVerwaltung.warenkorbBearbeiten(produktNameBearbeiten, neueAnzahl);
                    } else if (aktion.equalsIgnoreCase("löschen")) {
                        System.out.print("Produktname zum Löschen: ");
                        String produktNameLoeschen = scanner.nextLine();
                        shopVerwaltung.produktAusWarenkorbEntfernen(produktNameLoeschen);
                    } else {
                        System.out.println("Ungültige Auswahl.");
                    }
                    break;
                case "4":
                    shopVerwaltung.warenkorbAnzeigen();
                    break;
                case "5":
                    System.out.print("Name: ");
                    String name = scanner.nextLine();
                    System.out.print("Anschrift: ");
                    String anschrift = scanner.nextLine();
                    shopVerwaltung.bestellungTaetigen(name, anschrift);
                    break;
                case "6":
                    shopVerwaltung.alleBestellungenAnzeigen();
                    break;
                case "exit":
                    System.out.println("Programm beendet.");
                    break;
                default:
                    System.out.println("Ungültige Auswahl.");
            }
        }

        scanner.close();
    }
}
