package de.hs_mannheim.informatik.domain;


import java.util.ArrayList;

public class Bestellung {
	public final static ArrayList<Bestellung> bestellungen = new ArrayList<>();

	private Warenkorb warenkorb;
	private String name;
	private String anschrift;
	private long bestelldatum;

	public Bestellung(Warenkorb warenkorb, long bestelldatum, String anschrift, String name) {
		this.warenkorb = warenkorb;
		this.bestelldatum = bestelldatum;
		this.anschrift = anschrift;
		this.name = name;
	}

	public Warenkorb getWarenkorb() {
		return warenkorb;
	}

	public long getBestelldatum() {
		return bestelldatum;
	}

	public String getAnschrift() {
		return anschrift;
	}

	public String getName() {
		return name;
	}

	public void setWarenkorb(Warenkorb warenkorb) {
		this.warenkorb = warenkorb;
	}

	public void setBestelldatum(long bestelldatum) {
		this.bestelldatum = bestelldatum;
	}

	public void setAnschrift(String anschrift) {
		this.anschrift = anschrift;
	}

	public void setName(String name) {
		this.name = name;
	}

}
